Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class SAXBuilder

    java.lang.Object
      |
      +--com.caucho.xml.SAXBuilder

All Implemented Interfaces:
  org.xml.sax.Locator, XMLWriter

public class SAXBuilder
extends java.lang.Object
implements XMLWriter, org.xml.sax.Locator

XMLWriter to create a SAX events.

Constructor Summary
`SAXBuilder()`
`SAXBuilder(org.xml.sax.XMLReader saxReader)`

Method Summary
`void` | `attribute(java.lang.String uri, java.lang.String localName, java.lang.String qName, java.lang.String value)`
`void` | `cdata(char[] buffer, int offset, int length)`
`void` | `cdata(java.lang.String text)`
`void` | `comment(java.lang.String data)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`int` | `getColumnNumber()` The column number is always 0.
`boolean` | `getEscapeText()`
`int` | `getLineNumber()` Returns the current line.
`java.lang.String` | `getPublicId()` Don't really have a public id (?).
`java.lang.String` | `getSystemId()` Returns the current filename.
`void` | `init()`
`void` | `init(org.xml.sax.XMLReader saxReader)`
`void` | `processingInstruction(java.lang.String name, java.lang.String data)`
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)` Sets the SAX content handler.
`void` | `setEscapeText(boolean isEscaped)`
`void` | `setLocation(java.lang.String filename, int line, int column)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` | `text(char[] buffer, int offset, int length)`
`void` | `text(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXBuilder

    public SAXBuilder()

### SAXBuilder

    public SAXBuilder(org.xml.sax.XMLReader saxReader)

Method Detail

### init

    public void init(org.xml.sax.XMLReader saxReader)

### init

    public void init()

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Sets the SAX content handler.

### startDocument

    public void startDocument()
                       throws java.io.IOException,
                              org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `XMLWriter`

### endDocument

    public void endDocument()
                     throws java.io.IOException,
                            org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `XMLWriter`

### setLocation

    public void setLocation(java.lang.String filename,
                            int line,
                            int column)

  Specified by:
    `setLocation` in interface `XMLWriter`

### getSystemId

    public java.lang.String getSystemId()

  Returns the current filename.
  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    A string containing the system identifier, or null if none is available.
  See Also:
    `Locator.getPublicId()`

### getPublicId

    public java.lang.String getPublicId()

  Don't really have a public id (?).
  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    A string containing the public identifier, or null if none is available.
  See Also:
    `Locator.getSystemId()`

### getLineNumber

    public int getLineNumber()

  Returns the current line.
  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    The line number, or -1 if none is available.
  See Also:
    `Locator.getColumnNumber()`

### getColumnNumber

    public int getColumnNumber()

  The column number is always 0.
  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    The column number, or -1 if none is available.
  See Also:
    `Locator.getLineNumber()`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName)
                      throws java.io.IOException,
                             org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `XMLWriter`

### attribute

    public void attribute(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          java.lang.String value)
                   throws java.io.IOException,
                          org.xml.sax.SAXException

  Specified by:
    `attribute` in interface `XMLWriter`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws java.io.IOException,
                           org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `XMLWriter`

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.String data)
                               throws java.io.IOException,
                                      org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `XMLWriter`

### comment

    public void comment(java.lang.String data)
                 throws java.io.IOException,
                        org.xml.sax.SAXException

  Specified by:
    `comment` in interface `XMLWriter`

### getEscapeText

    public boolean getEscapeText()

  Specified by:
    `getEscapeText` in interface `XMLWriter`

### setEscapeText

    public void setEscapeText(boolean isEscaped)

  Specified by:
    `setEscapeText` in interface `XMLWriter`

### text

    public void text(java.lang.String text)
              throws java.io.IOException,
                     org.xml.sax.SAXException

  Specified by:
    `text` in interface `XMLWriter`

### text

    public void text(char[] buffer,
                     int offset,
                     int length)
              throws java.io.IOException,
                     org.xml.sax.SAXException

  Specified by:
    `text` in interface `XMLWriter`

### cdata

    public void cdata(java.lang.String text)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `cdata` in interface `XMLWriter`

### cdata

    public void cdata(char[] buffer,
                      int offset,
                      int length)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `cdata` in interface `XMLWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD